Skip to main content
`Ctrl`+`K`

# MatProductView

View the private matrix-matrix algorithm object within a matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductView(Mat mat, PetscViewer viewer)

Logically Collective

## Input Parameters

- mat - the matrix obtained with `MatProductCreate()` or `MatProductCreateWithMat()`

- viewer - where the information on the matrix-matrix algorithm of `mat` should be reviewed

## See Also

Matrices, `MatProductType`, `Mat`, `MatProductSetFromOptions()`, `MatView()`, `MatProductCreate()`, `MatProductCreateWithMat()`

## Level

intermediate

## Location

src/mat/interface/matproduct.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages